## qctools 1.4.1

=== debian/changelog ===
qctools (1.4.1-1) stable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Mon, 30 Dec 2024 08:00:00 +0000

## qctools 1.4.20251011

=== debian/changelog ===
qctools (1.4.20251011-1) stable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Mon, 30 Dec 2024 08:00:00 +0000

## qctools 1.4.20251012

=== Project/QtCreator/qctools-QtAVPlayer/examples/qml_video/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(qml_video LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_AUTOMOC ON)

find_package(Qt6 COMPONENTS CoreTools)
if(Qt6CoreTools_FOUND)
    find_package(Qt6 COMPONENTS QmlTools Quick REQUIRED)
    qt6_add_resources(QT_RESOURCES qml_qt6.qrc)
    find_package(Qt6 COMPONENTS MultimediaQuickPrivate REQUIRED)
    include_directories(${Qt6MultimediaQuick_PRIVATE_INCLUDE_DIRS})
    include_directories(${Qt6Multimedia_PRIVATE_INCLUDE_DIRS})
    find_package(Qt6 REQUIRED COMPONENTS Core BuildInternals OPTIONAL_COMPONENTS Multimedia)
    add_definitions(${Qt6Core_DEFINITIONS})
else()
    find_package(Qt5 REQUIRED COMPONENTS Core OPTIONAL_COMPONENTS Gui Multimedia)
    find_package(Qt5 COMPONENTS Quick)
    qt5_add_resources(QT_RESOURCES qml.qrc)
    include_directories(${Qt5Multimedia_PRIVATE_INCLUDE_DIRS})
    add_definitions(${Qt5Core_DEFINITIONS})
endif()

include_directories(../../src/)
set(QT_AVPLAYER_DIR ../../src/QtAVPlayer/)
include(../../src/QtAVPlayer/QtAVPlayer.cmake)

set(SOURCES ${QtAVPlayer_SOURCES} main.cpp)

add_executable(${PROJECT_NAME} WIN32 ${SOURCES} ${QT_RESOURCES})
if(NOT WIN32)
    add_definitions(-std=c++1z)
    target_compile_options(${PROJECT_NAME} PRIVATE -fPIC)
endif()

set(LIBS ${QtAVPlayer_LIBS})

if(Qt6_FOUND)
    set(LIBS ${LIBS} Qt6::Core Qt6::Gui Qt6::Multimedia Qt6::Quick Qt6::MultimediaQuickPrivate)
else()
    set(LIBS ${LIBS} Qt5::Core Qt5::Gui Qt5::Quick Qt5::Multimedia ${MultimediaQuick_LIBRARY})
    if (Qt5Core_VERSION VERSION_LESS 5.15.0)
        find_library(MultimediaQuick_LIBRARY REQUIRED NAMES Qt5MultimediaQuick)
        set(LIBS ${LIBS} ${MultimediaQuick_LIBRARY})
    else()
        find_package(Qt5 COMPONENTS MultimediaQuick REQUIRED)
        include_directories(${Qt5MultimediaQuick_PRIVATE_INCLUDE_DIRS})
        set(LIBS ${LIBS} Qt5::MultimediaQuick)
    endif()
endif()

target_link_libraries(${PROJECT_NAME} ${LIBS})

=== Project/QtCreator/qctools-QtAVPlayer/examples/widget_video_opengl/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(widget_video_opengl LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_AUTOMOC ON)

find_package(Qt6 COMPONENTS CoreTools)
if(Qt6CoreTools_FOUND)
    find_package(Qt6 COMPONENTS MultimediaWidgets REQUIRED)
    find_package(Qt6 REQUIRED COMPONENTS Core BuildInternals OPTIONAL_COMPONENTS Multimedia OpenGL OpenGLWidgets)
    include_directories(${Qt6Multimedia_PRIVATE_INCLUDE_DIRS})
    include_directories(${Qt6MultimediaWidgets_INCLUDE_DIRS})
    include_directories(${Qt6OpenGLWidgets_INCLUDE_DIRS})
    add_definitions(${Qt6Core_DEFINITIONS})
else()
    find_package(Qt5 COMPONENTS MultimediaWidgets REQUIRED)
    find_package(Qt5 REQUIRED COMPONENTS Core OPTIONAL_COMPONENTS Gui OpenGL)
    add_definitions(${Qt5Core_DEFINITIONS})
endif()

set(QT_AVPLAYER_WIDGET_OPENGL ON CACHE BOOL "" FORCE)
set(QT_AVPLAYER_MULTIMEDIA ON CACHE BOOL "" FORCE)
include_directories(../../src/)
set(QT_AVPLAYER_DIR ../../src/QtAVPlayer/)
include(../../src/QtAVPlayer/QtAVPlayer.cmake)

set(SOURCES ${QtAVPlayer_SOURCES} main.cpp)

add_executable(${PROJECT_NAME} WIN32 ${SOURCES} ${QT_RESOURCES})
if(NOT WIN32)
    add_definitions(-std=c++1z)
    target_compile_options(${PROJECT_NAME} PRIVATE -fPIC)
endif()

set(LIBS ${QtAVPlayer_LIBS})

if(Qt6_FOUND)
    set(LIBS ${LIBS} Qt6::Core Qt6::Gui Qt6::Multimedia Qt6::OpenGL Qt6::OpenGLWidgets)
else()
    set(LIBS ${LIBS} Qt5::Core Qt5::Gui Qt5::Multimedia Qt5::OpenGL)
endif()

target_link_libraries(${PROJECT_NAME} ${LIBS})

=== debian/changelog ===
qctools (1.4.20251012-1) stable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Mon, 30 Dec 2024 08:00:00 +0000

=== debian/control ===
Source: qctools
Priority: optional
Maintainer: MediaArea.net SARL <info@mediaarea.net>
Build-Depends: debhelper (>= 10), qt6-base-dev, qt6-declarative-dev, qt6-svg-dev, qt6-multimedia-dev, qmake6, libfreetype-dev, libharfbuzz-dev, libbz2-dev, zlib1g-dev, pkg-config, nasm
Standards-Version: 3.7.3
Section: utils
Homepage: http://www.bavc.org/qctools

Package: qctools
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: QCTools
 .
 QCTools (Quality Control Tools for Video Preservation) is a free and open source software tool
 that helps users analyze and understand their digitized video files through use of audiovisual analytics and filtering
 to help users detect corruptions or compromises in the results of analog video digitization or in born-digital video.
 The goal of the project is to cut down the time it takes to perform high-quality video preservation
 and direct time towards preservation issues that are solvable - for example, identifying tapes
 that would benefit from a second transfer, saving not only the precious time of preservationists
 and institutional resources, but giving collections a necessary advantage in the bigger race against time
 to preserve their significant cultural artifacts. QCTools incorporates archival standards and best practices
 for reformatting and capturing metadata that enables the long-term preservation of and access to the original artifact,
 the digital object, and the associated catalog record.

Package: qctools-dbg
Section: debug
Architecture: any
Priority: extra
Depends: qctools (= ${binary:Version})
Description: QCTools
 .
 QCTools (Quality Control Tools for Video Preservation) is a free and open source software tool
 that helps users analyze and understand their digitized video files through use of audiovisual analytics and filtering
 to help users detect corruptions or compromises in the results of analog video digitization or in born-digital video.
 The goal of the project is to cut down the time it takes to perform high-quality video preservation
 and direct time towards preservation issues that are solvable - for example, identifying tapes
 that would benefit from a second transfer, saving not only the precious time of preservationists
 and institutional resources, but giving collections a necessary advantage in the bigger race against time
 to preserve their significant cultural artifacts. QCTools incorporates archival standards and best practices
 for reformatting and capturing metadata that enables the long-term preservation of and access to the original artifact,
 the digital object, and the associated catalog record.
 .
 This package contains the debugging symbols.

Package: qcli
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: QCTools Command Line Interface
 .
 QCTools (Quality Control Tools for Video Preservation) is a free and open source software tool
 that helps users analyze and understand their digitized video files through use of audiovisual analytics and filtering
 to help users detect corruptions or compromises in the results of analog video digitization or in born-digital video.
 The goal of the project is to cut down the time it takes to perform high-quality video preservation
 and direct time towards preservation issues that are solvable - for example, identifying tapes
 that would benefit from a second transfer, saving not only the precious time of preservationists
 and institutional resources, but giving collections a necessary advantage in the bigger race against time
 to preserve their significant cultural artifacts. QCTools incorporates archival standards and best practices
 for reformatting and capturing metadata that enables the long-term preservation of and access to the original artifact,
 the digital object, and the associated catalog record.

Package: qcli-dbg
Section: debug
Architecture: any
Priority: extra
Depends: qctools (= ${binary:Version})
Description: QCTools Command Line Interface
 .
 QCTools (Quality Control Tools for Video Preservation) is a free and open source software tool
 that helps users analyze and understand their digitized video files through use of audiovisual analytics and filtering
 to help users detect corruptions or compromises in the results of analog video digitization or in born-digital video.
 The goal of the project is to cut down the time it takes to perform high-quality video preservation
 and direct time towards preservation issues that are solvable - for example, identifying tapes
 that would benefit from a second transfer, saving not only the precious time of preservationists
 and institutional resources, but giving collections a necessary advantage in the bigger race against time
 to preserve their significant cultural artifacts. QCTools incorporates archival standards and best practices
 for reformatting and capturing metadata that enables the long-term preservation of and access to the original artifact,
 the digital object, and the associated catalog record.
 .
 This package contains the debugging symbols.

## qctools 1.4.20251018

=== debian/changelog ===
qctools (1.4.20251018-1) stable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Mon, 30 Dec 2024 08:00:00 +0000

## qctools 1.4.20251025

=== debian/changelog ===
qctools (1.4.20251025-1) stable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Mon, 30 Dec 2024 08:00:00 +0000

## qctools 1.4.20251108

=== debian/changelog ===
qctools (1.4.20251108-1) stable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Mon, 30 Dec 2024 08:00:00 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export QWT_STATIC=1
export QWT_NO_SVG=1
export QWT_NO_OPENGL=1
export QWT_NO_DESIGNER=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch $@


build: build-stamp
build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	cd ffmpeg && ./configure --prefix="$(pwd)" --enable-gpl --enable-version3 --disable-autodetect --disable-programs --enable-static --disable-shared --disable-doc --disable-debug --enable-libfreetype --enable-libharfbuzz
	cd ffmpeg && $(MAKE)

	cd qwt && patch -p1 < ../qctools/Project/BuildAllFromSource/qwt.patch
	cd qwt && qmake6
	cd qwt && $(MAKE)

	mkdir qctools/Project/QtCreator/build
	cd qctools/Project/QtCreator/build && qmake6 .. -after CONFIG+=force_debug_info LIBS+=-lharfbuzz LIBS+=-lfreetype
	cd qctools/Project/QtCreator/build && $(MAKE)

	touch $@
clean: 
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process.
	# $(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	install -dm 755 $(CURDIR)/debian/tmp/usr/bin
	install -m 755 qctools/Project/QtCreator/build/qctools-gui/QCTools $(CURDIR)/debian/tmp/usr/bin
	install -m 755 qctools/Project/QtCreator/build/qctools-cli/qcli $(CURDIR)/debian/tmp/usr/bin

	install -dm 755 $(CURDIR)/debian/tmp/usr/share/doc/qctools
	install -m 644 qctools/History.txt $(CURDIR)/debian/tmp/usr/share/doc/qctools
	install -m 644 qctools/License.html $(CURDIR)/debian/tmp/usr/share/doc/qctools

	install -dm 755 $(CURDIR)/debian/tmp/usr/share/doc/qcli
	install -m 644 qctools/History.txt $(CURDIR)/debian/tmp/usr/share/doc/qcli
	install -m 644 qctools/License.html $(CURDIR)/debian/tmp/usr/share/doc/qcli

	install -dm 755 $(CURDIR)/debian/tmp/usr/share/pixmaps
	install -m 644 qctools/Source/Resource/Logo.png $(CURDIR)/debian/tmp/usr/share/pixmaps/qctools.xpm
	install -dm 755 $(CURDIR)/debian/tmp/usr/share/icons/hicolor
	install -m 644 qctools/Source/Resource/Logo.png $(CURDIR)/debian/tmp/usr/share/icons/hicolor/qctools.png
	install -dm 755 $(CURDIR)/debian/tmp/usr/share/icons/hicolor/256x256/apps
	install -m 644 qctools/Source/Resource/Logo.png $(CURDIR)/debian/tmp/usr/share/icons/hicolor/256x256/apps/qctools.png

	install -dm 755 $(CURDIR)/debian/tmp/usr/share/applications
	install -m 644 qctools/Project/GNU/GUI/qctools.desktop $(CURDIR)/debian/tmp/usr/share/applications
	install -dm 755 $(CURDIR)/debian/tmp/usr/share/apps/konqueror/servicemenus/
	install -m 644 qctools/Project/GNU/GUI/qctools.kde3.desktop $(CURDIR)/debian/tmp/usr/share/apps/konqueror/servicemenus/qctools.desktop
	install -dm 755 $(CURDIR)/debian/tmp/usr/share/kde4/services/ServiceMenus/
	install -m 644 qctools/Project/GNU/GUI/qctools.kde4.desktop $(CURDIR)/debian/tmp/usr/share/kde4/services/ServiceMenus/qctools.desktop
	install -dm 755 $(CURDIR)/debian/tmp/usr/share/kservices5/ServiceMenus/
	install -m 644 qctools/Project/GNU/GUI/qctools.kde4.desktop $(CURDIR)/debian/tmp/usr/share/kservices5/ServiceMenus/qctools.desktop
	install -dm 755 $(CURDIR)/debian/tmp/usr/share/appdata
	install -m 644 qctools/Project/GNU/GUI/qctools.metainfo.xml $(CURDIR)/debian/tmp/usr/share/appdata/qctools.appdata.xml

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install --sourcedir=debian/tmp
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip -p qctools --dbg-package=qctools-dbg
	dh_strip -p qcli --dbg-package=qctools-dbg
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## qctools 1.4.20251117

=== debian/changelog ===
qctools (1.4.20251117-1) stable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Mon, 30 Dec 2024 08:00:00 +0000

## qctools 1.4.20260103

=== debian/changelog ===
qctools (1.4.20260103-1) stable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Mon, 30 Dec 2024 08:00:00 +0000

## qctools 1.4.20260110

=== debian/changelog ===
qctools (1.4.20260110-1) stable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Mon, 30 Dec 2024 08:00:00 +0000

## qctools 1.4.20260117

=== debian/changelog ===
qctools (1.4.20260117-1) stable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Mon, 30 Dec 2024 08:00:00 +0000

## qctools 1.4.20260124

=== debian/changelog ===
qctools (1.4.20260124-1) stable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Mon, 30 Dec 2024 08:00:00 +0000

## qctools 1.4.20260131

=== debian/changelog ===
qctools (1.4.20260131-1) stable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Mon, 30 Dec 2024 08:00:00 +0000

## qctools 1.4.20260207

=== debian/changelog ===
qctools (1.4.20260207-1) stable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Mon, 30 Dec 2024 08:00:00 +0000

## qctools 1.4.20260208

=== debian/changelog ===
qctools (1.4.20260208-1) stable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Mon, 30 Dec 2024 08:00:00 +0000

## qctools 1.4.20260209

=== debian/changelog ===
qctools (1.4.20260209-1) stable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Mon, 30 Dec 2024 08:00:00 +0000

## qctools 1.4.20260210

=== debian/changelog ===
qctools (1.4.20260210-1) stable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Mon, 30 Dec 2024 08:00:00 +0000

## qctools 1.4.20260211

=== debian/changelog ===
qctools (1.4.20260211-1) stable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Mon, 30 Dec 2024 08:00:00 +0000

## qctools 1.4.20260212

=== debian/changelog ===
qctools (1.4.20260212-1) stable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Mon, 30 Dec 2024 08:00:00 +0000
